Deduct credits from customer credit ledger
This endpoint is used to deduct credits from the specified customer account. Submit the credit amount and customer ID in the request body to deduct the credits. The deducted credits will be subtracted from the customer's account.
Authorization
BearerAuthorizer In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
The amount of credits to be deducted from the user.
The ID of the customer to whom the credits will be deducted from.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/credits/deduct" \ -H "Content-Type: application/json" \ -d '{ "creditAmount": 0, "customerId": "string" }'{ "type": "invalid_request_error", "code": "string", "message": "string", "param": "string", "params": [ { "param": "string", "message": "string" } ]}{ "type": "authentication_error", "code": "authentication_failed", "message": "string"}{ "type": "rate_limit_error", "code": "rate_limit_exceeded", "message": "string"}{ "type": "api_error", "code": "internal_error", "message": "string"}Grant credits to a customer credit ledger POST
This endpoint is used to grant credits to a customer. Submit the credit amount and customer ID in the request body to grant the credits. The granted credits will be added to the customer's account.
Create a one-off invoice to top up a customer with credits POST
This endpoint creates a one-off invoice that bills a customer for a credit grant. Submit the customer ID and the credit grant (credit product, amount, type and price) in the request body — the same credit grant shape used when defining grants on a contract. The grant's price is charged on the invoice, and the credits are granted to the customer when the invoice is approved.

